function [] = mx_derive_N2_100m

% mx_derive_N2_100m         Derive the reference buoyancy frequency N2_100m
%==========================================================================
%
% USAGE:
%  [] = mx_derive_N2_100m
%
% DESCRIPTION:
% Derives N2_100m and adds variable N2_100m [1/s^2]. N2_100m is the 
% buoyancy frequency derived over a vertical window of 100m.
%         
% INPUT
%
% OUTPUT:                     
%   N2_100m     =  Brunt-Vaisala Frequency squared                [ 1/s^2 ]
%
% AUTHOR: 
%   Amelie MEYER based on Kurt Polzin original nsq_mod.m code
%
% VERSION NUMBER: 1.0 (24th June, 2014)
%==========================================================================
display('f_derive_N2_100m');

load mixing_data.mat
s=mixing_data.SA;            
t=mixing_data.CT;
p=mixing_data.Pctd;
lat=mixing_data.lat;
% Function nsq_modbs calculates N2_100m:
[nn,temp]=nsq_modbs(s,t,p,100,lat);                     
mixing_data.N2_100m=nn;                     

save('mixing_data.mat','-regexp','^mixing_data','^flt');