function [] = mx_derive_current_speed

% mx_derive_current_speed                          Derive the current_speed
%==========================================================================
%
% USAGE:
%  [] = mx_derive_current_speed
%
% DESCRIPTION:
%   Derives the current speed as sqrt(U.^2+V.^2)
%
% OUTPUT:                     
%  speed      =  Current Speed                                  [ m/s ]
%
% AUTHOR: 
%  Amelie MEYER
%
% VERSION NUMBER: 1.0 (19th June, 2014)
%
%==========================================================================
display('Derive the current speed [m/s]...');

load initial_data.mat

eval(['float' int2str(flt) '(1,1).speed=NaN;']);% Creates a new empty variable 
eval(['[c profiles]=size(float' int2str(flt) ');']);% Looks how many profiles there are for each float
for i=1:profiles;                               % For each profile
    U=eval(['float' int2str(flt) '(i).U'])'; 	% defines all variables
    V=eval(['float' int2str(flt) '(i).V'])';
    % Derive current speed
    speed=sqrt(U.^2+V.^2);                       	
    eval(['float',int2str(flt),'(i).speed=speed;'])
end

save('initial_data.mat','-regexp','^float','^flt');