function [] = mx_derive_strain

% mx_derive_strain                                        Derive the strain
%==========================================================================
%
% USAGE:
%  [] = mx_derive_strain
%
% DESCRIPTION:
% Derives strain=N^2-N^2_ref/N^2_ref using the buoyancy frequency N2_ref.
%         
% INPUT
%
% OUTPUT:                     
%   strain   
%
% AUTHOR: 
%   Amelie MEYER
%
% VERSION NUMBER: 1.0 (24th June, 2014)
%==========================================================================
display('Derive the strain...');

load mixing_data.mat
mixing_data.strain=(mixing_data.N2-mixing_data.N2_ref)./mixing_data.N2_ref;

save('mixing_data.mat','-regexp','^mixing_data','^flt');